serf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From br...@apache.org
Subject svn commit: r1702215 - in /serf/tools/buildbot/solaris: ./ serfbuild.sh serfcheck.sh serfclean.sh setenv.sh
Date Thu, 10 Sep 2015 10:56:43 GMT
Author: brane
Date: Thu Sep 10 10:56:42 2015
New Revision: 1702215

URL: http://svn.apache.org/r1702215
Log:
Add scripts for the sparc64-solaris builder.

* tools/buildbot/solaris: New directory.
* tools/buildbot/solaris/serfclean.sh,
  tools/buildbot/solaris/serfbuild.sh,
  tools/buildbot/solaris/serfcheck.sh,
  tools/buildbot/solaris/setenv.sh: New files.

Added:
    serf/tools/buildbot/solaris/
    serf/tools/buildbot/solaris/serfbuild.sh   (with props)
    serf/tools/buildbot/solaris/serfcheck.sh   (with props)
    serf/tools/buildbot/solaris/serfclean.sh   (with props)
    serf/tools/buildbot/solaris/setenv.sh

Added: serf/tools/buildbot/solaris/serfbuild.sh
URL: http://svn.apache.org/viewvc/serf/tools/buildbot/solaris/serfbuild.sh?rev=1702215&view=auto
==============================================================================
--- serf/tools/buildbot/solaris/serfbuild.sh (added)
+++ serf/tools/buildbot/solaris/serfbuild.sh Thu Sep 10 10:56:42 2015
@@ -0,0 +1,57 @@
+#!/usr/bin/bash
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+set -e
+set -x
+
+scripts=$(cd $(dirname "$0") && pwd)
+
+. ${scripts}/setenv.sh
+
+# An optional parameter tells build scripts which version of APR to use
+if [ ! -z "$1" ]; then
+    aprconfig="APR=$(eval 'echo $SERFBB_'"$1")"
+else
+    aprconfig="APR=${SERFBB_APR}"
+fi
+
+# An optional parameter tells build scripts which version of APR-Util to use
+if [ ! -z "$2" ]; then
+    apuconfig="APU=$(eval 'echo $SERFBB_'"$2")"
+else
+    apuconfig="APU=${SERFBB_APU}"
+fi
+
+# Yet another optional parameter tells build scripts to use a different OpenSSL
+if [ ! -z "$3" ]; then
+    opensslconfig="OPENSSL=$(eval 'echo $SERFBB_'"$3")"
+else
+    opensslconfig="OPENSSL=${SERFBB_OPENSSL}"
+fi
+
+# Build
+rm -fr "${absbld}"
+mkdir "${absbld}"
+cd "${absbld}"
+"${SERFBB_SCONS}" -Y "${abssrc}" -j30 \
+                  "CC=cc -m64" \
+                  "PREFIX=${absbld}/.install-prefix" \
+                  "${opensslconfig}" \
+                  "${aprconfig}" \
+                  "${apuconfig}"

Propchange: serf/tools/buildbot/solaris/serfbuild.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: serf/tools/buildbot/solaris/serfcheck.sh
URL: http://svn.apache.org/viewvc/serf/tools/buildbot/solaris/serfcheck.sh?rev=1702215&view=auto
==============================================================================
--- serf/tools/buildbot/solaris/serfcheck.sh (added)
+++ serf/tools/buildbot/solaris/serfcheck.sh Thu Sep 10 10:56:42 2015
@@ -0,0 +1,28 @@
+#!/usr/bin/bash
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+set -x
+
+scripts=$(cd $(dirname "$0") && pwd)
+
+. ${scripts}/setenv.sh
+
+# Run tests
+cd "${absbld}"
+"${SERFBB_SCONS}" -Y "${abssrc}" -j30 check

Propchange: serf/tools/buildbot/solaris/serfcheck.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: serf/tools/buildbot/solaris/serfclean.sh
URL: http://svn.apache.org/viewvc/serf/tools/buildbot/solaris/serfclean.sh?rev=1702215&view=auto
==============================================================================
--- serf/tools/buildbot/solaris/serfclean.sh (added)
+++ serf/tools/buildbot/solaris/serfclean.sh Thu Sep 10 10:56:42 2015
@@ -0,0 +1,27 @@
+#!/usr/bin/bash
+
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+set -e
+set -x
+
+scripts=$(cd $(dirname "$0") && pwd)
+
+. ${scripts}/setenv.sh
+
+rm -fr "${absbld}"

Propchange: serf/tools/buildbot/solaris/serfclean.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: serf/tools/buildbot/solaris/setenv.sh
URL: http://svn.apache.org/viewvc/serf/tools/buildbot/solaris/setenv.sh?rev=1702215&view=auto
==============================================================================
--- serf/tools/buildbot/solaris/setenv.sh (added)
+++ serf/tools/buildbot/solaris/setenv.sh Thu Sep 10 10:56:42 2015
@@ -0,0 +1,47 @@
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+
+## This script calls a helper that provides the folloing environemnt
+## variables:
+##
+##     PATH                     The search path
+##     SERFBB_SCONS             Path to the scons binary
+##     SERFBB_APR               Path to APR
+##     SERFBB_APU               Path to APR-Util
+##     SERFBB_OPENSSL           OpenSSL installation prefix
+##
+## The invoking script will set local variable named ${scripts} that
+## is the absolute path the parent of this file.
+
+# Modify this to suit your deployment
+environment=$(cd "${scripts}/../.." && pwd)/environment.sh
+
+eval $(${environment})
+
+export PATH
+export SERFBB_SCONS
+export SERFBB_APR
+export SERFBB_APU
+export SERFBB_OPENSSL
+
+
+# Set the absolute source and build paths
+abssrc=$(pwd)
+absbld=$(cd $(dirname ${abssrc}) && pwd)/obj
+
+echo ${abssrc}
+echo ${absbld}



Mime
View raw message